Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::ISO_9796_DS3 Class Referencefinal

`#include <iso9796.h>`

Inheritance diagram for Botan::ISO_9796_DS3:

## Public Member Functions
EMSA * | clone () override
| ISO_9796_DS3 (HashFunction *hash, bool implicit=false)

## Detailed Description

ISO-9796-2 - Digital signature scheme 3 (deterministic)

Definition at line 61 of file iso9796.h.

## Constructor & Destructor Documentation

Botan::ISO_9796_DS3::ISO_9796_DS3 | ( | HashFunction * | hash,
|  | bool | implicit = `false`
| ) |  |
| inline

Parameters

  hash | function to use
  implicit | whether or not the trailer is implicit

Definition at line 68 of file iso9796.h.

68 : m_hash(hash), m_implicit(implicit)
69 {}
hash
MechanismType hash
Definition: p11_mechanism.cpp:63

## Member Function Documentation

EMSA* Botan::ISO_9796_DS3::clone | ( |  | ) |
| inline override virtual

Returns
  a new object representing the same encoding method as *this

Implements Botan::EMSA.

Definition at line 71 of file iso9796.h.

References m_hash.

72 {return new ISO_9796_DS3(m_hash->clone(), m_implicit);}
Botan::ISO_9796_DS3::ISO_9796_DS3
ISO_9796_DS3(HashFunction *hash, bool implicit=false)
Definition: iso9796.h:68

The documentation for this class was generated from the following files:

- src/lib/pk_pad/iso9796/iso9796.h
- src/lib/pk_pad/iso9796/iso9796.cpp